set GALACTICA_REVISION=2024.1.1795.0
set GALACTICA_LIB_NAME=indexima-core
@echo off
cd %~dp0

if not exist "conf\galactica-env.bat" (
    echo "The file conf\galactica-env.bat is not found. Please create it based on the template file."
    exit 1
)

if not exist "conf\hive-site.xml" (
    echo "The file conf\hive-site.xml is not found. Please create it based on the template file."
    exit 1
)

if not exist "conf\galactica.conf" (
    echo "The file conf\galactica.conf is not found. Please create it based on the template file."
    exit 1
)

call conf\galactica-env.bat
call conf\galactica-common.bat

set GALACTICA_LIB=%GALACTICA_LIB_NAME%-%GALACTICA_REVISION%.jar

%JAVA_HOME%\bin\java -Xms%GALACTICA_MEM% -Xmx%GALACTICA_MEM% -XX:NewRatio=3 -Xss512k -XX:+UseConcMarkSweepGC %JMX_OPTIONS% %NODESERVER_JVM_OPTIONS% -cp %ORDER_LIBS%;lib\*;lib\postcp\*;ext\*;driver\*;conf;web;%GALACTICA_LIB%;%HADOOP_JARS% io.galactica.server.NodeServer %*
