#!/bin/bash
# Copyright Indexima
#
# Start Indexima node in Stand Alone mode
#

mandatory_files=("galactica-env.sh" "hive-site.xml" "galactica.conf")

for file in ${mandatory_files[@]}; do
  if [ ! -r "./conf/$file" ] ; then
	  echo "The file conf/$file is not found. Please create it based on the template file.";
    exit 1;
  fi
done

export GALACTICA_LIB=indexima-core-2024.1.1795.0.jar

. ./conf/galactica-env.sh
. ./conf/galactica-common.sh

export JAVA_HOME=${JAVA_HOME:-"$(dirname $(which java))/.."}

$JAVA_HOME/bin/java -Xms$GALACTICA_MEM -Xmx$GALACTICA_MEM -XX:NewRatio=3 -Xss512k $GC_OPTIONS $JMX_OPTIONS ${NODESERVER_JVM_OPTIONS} -cp ${ORDER_LIBS}:lib/*:lib/postcp/*:ext/*:driver/*:conf:web:$GALACTICA_LIB:$HADOOP_JARS io.galactica.server.NodeServer $@
