#!/bin/bash
# Copyright Indexima
#
# Stop Indexima nodes
#

if [ ! -r "./conf/galactica-env.sh" ] ; then 
	echo "The file conf/galactica-env.sh is not found. Please create it based on the template file.";
    exit 1; 
fi

export GALACTICA_LIB=indexima-core-2024.1.1795.0.jar

. conf/galactica-env.sh
. conf/galactica-common.sh

if [ $# -ge 1 ] ; then
        HOST="$1"
fi

export JAVA_HOME=${JAVA_HOME:-"$(dirname $(which java))/.."}

$JAVA_HOME/bin/java ${NODESERVER_JVM_OPTIONS} -cp ${ORDER_LIBS}:lib/*:lib/postcp/*:driver/*:conf:$GALACTICA_LIB:$HADOOP_JARS io.galactica.server.NodeServer --stop $HOST
